PMAP_PINIT(9)

NAME
pmap_pinit, pmap_pinit0 - initialize pmap structures

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_pinit(pmap_t pmap);
void
pmap_pinit0(pmap_t pm);

DESCRIPTION
The pmap_pinit() function initializes the preallocated and zeroed structure pmap, such as one in a vmspace structure.

The pmap_pinit0() function initializes the physical map pm, associated with process 0, the first process created in the system.

IMPLEMENTATION NOTES
The pmap_pinit2() function has been deprecated, and should be implemented as a stub until further notice.

SEE ALSO
pmap(9), pmap_growkernel(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.